#! usr/bin/perl
use strict;
use warnings;
use Net::SSH::Perl;
# if  receive error like:
## Trying pubkey authentication with key file 'something1-key-pair.pem'
## Will not query passphrase for 'something1-key-pair.pem' in batch mode.
## Loading private key failed.
# use:
# openssl rsa -in /home/something/something1-key-pair.pem -out /home/something/something1-key-pair-nocrypt.pem

my %host = (
	'something1' => '111.222.333.444',
	'something2' => '555.666.777.888',
);
my %user = (
	'something1' => 'something1user',
	'something2' => 'something2user',
);
my $ssh;
my @KEYFILEmerch = "something1-key-pair-nocrypt.pem";
my $stdout;
my $stderr;
my $exit;
################################
# connecting through ssh keypair
################################
# preparing credentials
# set up a new connection
# my @merchdevup = (
#	[,],
#	[,]
#);
if (1 == 2) {
	$ssh = Net::SSH::Perl->new($host{"something1"}, debug=>0, identity_files=>\@KEYFILEmerch);
	# authenticate
	$ssh->login($user{"something1"});
	# execute the command and writing result to vars
	($stdout, $stderr, $exit) = $ssh->cmd("ls -l /home/ubuntu");
	#($stdout, $stderr, $exit) = $ssh->cmd("sudo stop grainjs-Dev");
	print "SOMETHING1:\n$stdout";
	if (defined $stderr) {print "EЯЯOЯ:\n$stderr\n";}
	#($stdout, $stderr, $exit) = $ssh->cmd("sudo stop grainjs-Dev");
}

if (1 != 2) {
	##################################
	# connecting using login/password
	##################################
	# preparing credentials
	my $password = "password";
	# set up a new connection
	$ssh = Net::SSH::Perl->new($host{"something2login"}) or die;
	# authenticate
	$ssh->login($user{"something2"}, $password) or die;
	# execute the command and writing result to vars
	($stdout, $stderr, $exit) = $ssh->cmd("tail -n 5 /home/something2/staging/something2_openerp/openerp_Portal_development.log.*");
	print "SOMETHING2:\n$stdout";
	if ($stdout =~ m/(\d+):(\d+) .* python .\/openerp-server --debug/i)
	{
		my $ii = "DEV SEЯVЕЯ IZ UИDEЯ *DEBUG* since " . ($1+7) . ":$2";
		print $ii;
	}
	else
	{
		print "DEV SEЯVЕЯ IZ FЯEE"
	}
#something2   31722  0.9  2.4 485648 97196 pts/3    Sl+  10:00   0:01 python ./openerp-server --debug -c /etc/openerp-server.conf --max-cron-threads=0
	if (defined $stderr) {print "EЯЯOЯ:\n$stderr\n";}
}